include:
  - project: 'cabildo-tf/vente/gitlab-ci-templates'
    ref: master
    file: '/build-wab.yml'
  - project: 'cabildo-tf/vente/gitlab-ci-templates'
    ref: master
    file: '/packaging.yml'
  - project: 'cabildo-tf/vente/gitlab-ci-templates'
    ref: master
    file: '/deployment.yml'
  - project: 'redmic-project/gitlab-ci-templates'
    ref: master
    file: '/deployment-custom-image.yml'

stages:
  - build
  - pre-package
  - package
  - post-package
  - deploy

variables:
  PROJECT_PARENT_NAME: editors

.deploy:
  variables:
    STACK: ${PROJECT_PARENT_NAME}
    SERVICES_TO_CHECK: ${PROJECT_PARENT_NAME}_${CI_PROJECT_NAME}
  environment:
    url: https://${PUBLIC_HOSTNAME}
